# Uses of Interface
org.jmol.modelset.Structure

Packages that use Structure
Package
Description
org.jmol.modelset
org.jmol.modelsetbio

## Uses of Structure in org.jmol.modelset

Classes in org.jmol.modelset that implement Structure
Modifier and Type
Class
Description
`final class`
`Chain`
A Model is a collection of Chains of Groups of Atoms.
`class`
`Group`
The essential container for every atom.
Methods in org.jmol.modelset that return Structure
Modifier and Type
Method
Description
`Structure`
Group.`getStructure()`

## Uses of Structure in org.jmol.modelsetbio

Classes in org.jmol.modelsetbio that implement Structure
Modifier and Type
Class
Description
`class`
`AlphaMonomer`
`class`
`AlphaPolymer`
`class`
`AminoMonomer`
`class`
`AminoPolymer`
`class`
`Annotation`
`class`
`BioPolymer`
A "BioPolymer" is a constructed set of contiguous (probably connected) "Monomers", which may be one of Alpha (Calpha atoms), Amino (Calpha + backbone), Phosphorus (P atoms), Nucleic (DNA/RNA), or Carbohydrate.
`class`
`CarbohydrateMonomer`
`class`
`CarbohydratePolymer`
`class`
`Helix`
`class`
`Monomer`
A class to maintain information about biomolecule groups that are (potentially) part of biopolymers -- peptides, nucleic acid strands, or complex carbohydrates.
`class`
`NucleicMonomer`
`class`
`NucleicPolymer`
`class`
`PhosphorusMonomer`
`class`
`PhosphorusPolymer`
`class`
`ProteinStructure`
`class`
`Sheet`
Methods in org.jmol.modelsetbio that return Structure
Modifier and Type
Method
Description
`Structure`
AlphaMonomer.`getStructure()`
`Structure`
PhosphorusMonomer.`getStructure()`